local VehiclesWithOutline = {}
CreateThread(function()
    while true do
        Wait(0)
        local VehiclesToOutline = {}
        for _, ply in next, GetActivePlayers() do
            local ped = GetPlayerPed(ply)
            if IsPedInAnyVehicle(ped, false) then
                VehiclesToOutline[GetVehiclePedIsIn(ped)] = true
            end
        end
        for veh, _ in next, VehiclesWithOutline do
            if not VehiclesToOutline[veh] then
                SetEntityDrawOutline(veh, false)
                VehiclesWithOutline[veh] = nil
            end
        end
        for veh, _ in next, VehiclesToOutline do
            VehiclesWithOutline[veh] = true
            SetEntityDrawOutline(veh, true)
        end
    end
end)

AddEventHandler("onResourceStop", function(name)
    if name == GetCurrentResourceName() then
        for veh, _ in next, VehiclesWithOutline do
            SetEntityDrawOutline(veh, false)
        end
    end
end)
